/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.event
 * File:    IdentifierChangedReceiver.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.event;

import java.util.ArrayList;

import de.fhhannover.inform.ifmap.communication.Connection;
import de.fhhannover.inform.ifmap.datastructure.IfmapDataType;
/**
 * Interface for Metadata changes
 * @author Tobias
 *
 */
public interface IdentifierChangedReceiver {
	public void processNewPollResult(Connection con, ArrayList<IfmapDataType> newData, 
			ArrayList<IfmapDataType>updateData, ArrayList<IfmapDataType>deleteData);
	//public void processNew(IdentifierContainer conti);
	//public void processUpdate(IdentifierContainer conti);
	//public void processDelete(IdentifierContainer conti);
}
